Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 163034 - rebuild fails due to hardcoded path to gcj-4.0.0
Summary: rebuild fails due to hardcoded path to gcj-4.0.0
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: eclipse-bugzilla
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: eclipse-bugs
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-07-12 12:59 UTC by Karsten Hopp
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-29 13:45:35 UTC


Attachments (Terms of Use)

Description Karsten Hopp 2005-07-12 12:59:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.8) Gecko/20050623 Fedora/1.0.4-5 Firefox/1.0.4

Description of problem:
 >grep eclipse-bugzilla.db eclipse-bugzilla-0.1.1_fc-2.src.rpm.failed
+ gcj-dbtool -n /var/tmp/eclipse-bugzilla-buildroot/usr/lib/gcj-4.0.1/classmap.db.d/eclipse-bugzilla.db 8000
+ gcj-dbtool -f /var/tmp/eclipse-bugzilla-buildroot/usr/lib/gcj-4.0.1/classmap.db.d/eclipse-bugzilla.db /var/tmp/eclipse-bugzilla-buildroot//usr/share/eclipse/plugins/org.eclipse.team.bugzilla_0.1.1/bugzilla.jar /usr/lib/eclipse/plugins/org.eclipse.team.bugzilla_0.1.1/libbugzilla.jar.so
+ gcj-dbtool -f /var/tmp/eclipse-bugzilla-buildroot/usr/lib/gcj-4.0.1/classmap.db.d/eclipse-bugzilla.db /var/tmp/eclipse-bugzilla-buildroot//usr/share/eclipse/plugins/org.eclipse.team.bugs_0.1.1/bugs.jar /usr/lib/eclipse/plugins/org.eclipse.team.bugs_0.1.1/libbugs.jar.so
error: File not found: /var/tmp/eclipse-bugzilla-buildroot/usr/lib/gcj-4.0.0/classmap.db.d/eclipse-bugzilla.db
    File not found: /var/tmp/eclipse-bugzilla-buildroot/usr/lib/gcj-4.0.0/classmap.db.d/eclipse-bugzilla.db


Version-Release number of selected component (if applicable):
eclipse-bugzilla-0.1.1_fc-2

How reproducible:
Always

Steps to Reproduce:
1.rebuild eclipse-bugzilla on a rawhide system
2.check output
3.
  

Actual Results:  db file has been built into $RPM_BUILD_ROOT//usr/lib/gcj-4.0.1,
%files sections lists %{_libdir}/gcj-4.0.0/classmap.db.d/%{name}.db

Additional info:

Comment 1 Andrew Overholt 2005-07-13 16:04:48 UTC
We're changing around how the native compilation works for FC5 so things are
broken ATM.  I will get to this later today or tomorrow.  Thanks for spotting it.


Note You need to log in before you can comment on or make changes to this bug.